package dev.kske.eventbus.core;


/**
 * An interface defining a single handler for {@link SimpleEvent}.
 * 
 * Used for testing event listener inheritance.
 * 
 * @author Kai S. K. Engelbart
 * @since 1.2.0
 */
abstract class SimpleEventListenerBase {

	@Event(SimpleEvent.class)
	void onSimpleEventAbstractHandler() {
		System.out.println("Test");
	}
	
	@Event(SimpleEvent.class)
	private void onSimpleEventPrivate() {
		System.out.println("Private Handler!");
	}
}
